Package Details: protonvpn-gui 1.3.0-7

Git Clone URL: https://aur.archlinux.org/protonvpn-gui.git (read-only, click to copy)
Package Base: protonvpn-gui
Description: Official ProtonVPN Graphical User Interface, maintained by the ProtonVPN team.
Upstream URL: https://github.com/ProtonVPN/
Licenses: GPL3
Groups: ProtonVPN
Submitter: protontechag
Maintainer: protontechag (calexandru2018)
Last Packager: calexandru2018
Votes: 27
Popularity: 3.36
First Submitted: 2021-05-28 16:28
Last Updated: 2021-09-23 16:03

Latest Comments

1 2 3 4 5 Next › Last »

pokecat commented on 2021-10-09 20:46

I was unable to log in, getting the error message: TypeError: 'NoneType' object is not subscriptable Installing the package gnome-keyring fixes this problem. This should probably be added as a dependency?

blackfox commented on 2021-09-24 22:06

Hello,

After updating to this latest version I get stuck after doing the login with this error:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/login.py", line 253, in render_view_state
    self.dashboard_window().present()
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/main.py", line 283, in get_dashboard_window
    return DashboardView(
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/dashboard.py", line 159, in __init__
    self.quick_settings_popover = QuickSettingsPopoverView(
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/quick_settings_popover.py", line 32, in __init__
    self.__create_widgets()
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/quick_settings_popover.py", line 139, in __create_widgets
    self.__create_secure_core_buttons()
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/quick_settings_popover.py", line 169, in __create_secure_core_buttons
    self.secure_core_button_on = SecureCoreOn(self)
  File "/usr/lib/python3.9/site-packages/protonvpn_gui/view/quick_settings_popover.py", line 419, in __init__
    if self.session.vpn_tier >= ServerTierEnum.SOME_VALUE.value:
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 458, in vpn_tier
    return self._vpn_data['tier']
TypeError: 'NoneType' object is not subscriptable

sampsoncrowley commented on 2021-08-24 03:31

Can't log in. Unknown error

sharp312 commented on 2021-06-28 14:54

@srsands I found a note on protons website on how to fix it, after you follow the steps when makepkg asks about the keys just say no and it should work https://protonvpn.com/support/official-linux-client-arch/#note4

srsands commented on 2021-06-25 14:39

It gives me this error: gpg: keyserver receive failed: No name problem importing keys

Ext commented on 2021-06-24 06:47

installing python-protonvpn-nm-lib (3.3.1-2) breaks dependency 'python-protonvpn-nm-lib<3.3.0' required by protonvpn-gui

calexandru2018 commented on 2021-06-23 08:32

Hey @Alfred456654

Thank you for your report. The library has been updated to (python-protonvpn-nm-lib 3.3.1-2) include the missing packages. Thank you for your report.

Alfred456654 commented on 2021-06-23 06:07

When I use the menu to get logs, I get an error message saying there's no systemd module.

I checked the logs, and found the corresponding python stacktrace in protonvpn-gui.log

I installed python-systemd with pacman and no longer got the error.

Can we add python-systemd as a dependency in the PKGBUILD?

Thanks!

StephQ commented on 2021-06-23 03:23

New update is fine (v1.0.1-1).

Thanks.

StephQ commented on 2021-06-22 15:04

“protonvpn-gui 1.0.0-1” fails to connect. Blocked on a window “Close”.

Have to reverse to v0.7.3 which do the job.

Manjaro Linux 21.0.7 Ornara